
###############
# L2VNIs
###############

{% for vlan in vlans %}
auto vni300{{ vlan }}
iface vni300{{ vlan }}
    bridge-access {{ vlan }}
    bridge-arp-nd-suppress on
    bridge-learning off
    mstpctl-bpduguard yes
    mstpctl-portbpdufilter yes
    vxlan-id 300{{ vlan }}
    vxlan-local-tunnelip {{ devices[inventory_hostname].loopback|ipaddr('address')}}

{% if 'border' not in group_names %}
auto vlan{{ vlan }}
iface vlan{{ vlan }}
    vlan-id {{ vlan }}
    vlan-raw-device bridge
    ip-forward off
    ip6-forward off
{% endif %}

{% endfor %}
